<!-- <link rel="stylesheet" href="../styles.css" />
<div class="artloader" id = "load" style="display:none">
  <div class="cssload-container">
      <div class="cssload-tube-tunnel">
          <img src="assets/loadingart.gif" alt="loader" class="loaderimg" />
      </div>
      <div class="loadingdata"><p>Please Wait we are processing your action....</p></div>
  </div>
</div> -->

<style>

.dropdown:hover>.dropdown-menu {
  display: block;
}
.dropdown-item:hover>.dropdown-menu {
  display: block;
}
ul li{
list-style-type:none;
display: inline;
}

.navbar-nav .nav-link{display:inline-block;}
   
.ml-auto {display:inline-block!important;}

.dropdown>.dropdown-toggle:active {
  pointer-events: none;
}
  #ourserviceDropdown > li > a{
     padding: 3px 20px;
     clear: both;
     font-weight: 400;
     line-height: 1.428571;
     color: #333;
     white-space: nowrap;
  }
  #moretrvldropdown > li > a{
     padding: 3px 20px;
     clear: both;
     font-weight: 400;
     line-height: 1.428571;
     color: #333;
     white-space: nowrap;
  }
  .retriveitems {
    margin-left: 0 !important;
  }
 </style>
 
 
 <ul ng-controller="mainController" class="listdefault" id="menuLpt">
 

   <li class="dropdown" ng-repeat="mainmenu in allMenus track by $index" ng-init="parentindx = $index">
    <a  class="{{mainmenu.title==true?'active':''}}" ng-class="{'active': newtabmenuactive === {{$index}}}" data-toggle="tab" href="{{mainmenu.submenu[0].path}}"
    ng-click="newactivateTabMenu($index)">
           <i class="{{mainmenu.icon}}"></i> <span class="d-none d-lg-block d-md-block">{{mainmenu.title}}
         <!-- {{fCheck}} {{tabmenuactive}} -->
        </span>
    </a>
    <!-- <a data-toggle="dropdown" class="dropdown-toggle retriveBookings" > <i class="las la-tags ni"></i><span class="otherProd1">{{mainmenu.title}}</span></a> -->
    <ul class="dropdown-menu retriveitems " style="width: fit-content;" id="moretrvldropdown">
      <li ng-repeat="subnmenu in mainmenu.submenu">
        <a href="{{subnmenu.path}}" ng-click="newactivateTabMenu(parentindx)">{{subnmenu.title}}</a>
      </li>
      
    </ul>


  </li>

  <!-- <li class="dropdown" >
    <a data-toggle="dropdown" class="dropdown-toggle retriveBookings" > <i class="las la-tags ni"></i><span class="otherProd1">Reports</span></a>
    <ul class="dropdown-menu retriveitems " style="width: fit-content;" id="moretrvldropdown">
      <li ng-repeat="mainmenu in allMenus">
        <a class="dropdown-item" href="#!/flightBookings">{{mainmenu.title}}</a>
      </li>
    
    </ul>


  </li> -->
  



    <!-- <li class="dropdown" ng-repeat="mainmenu in allMenus">
        <a class="dropdown-toggle" data-toggle="dropdown" href="#">{{mainmenu.title}} <b class="caret"></b></a>
        <ul class="dropdown-menu">
            <li><a href="#" ng-click="new()">New</a></li>
            <li><a href="#" ng-click="open()">Open</a></li>
            <li><a href="#" ng-click="save()">Save</a></li>
            <li><a href="#" ng-click="close()">Close</a></li>
        </ul>
    </li> -->

 
  
 
   <!-- <li>
     <a> <i class="las la-comments ni"></i><span>Blogs</span></a>
   </li> -->
   <!-- <li style="width: auto;">
     <a
       ><b><i class="las la-search ni"></i></b
       ><span>Search</span></a
     >
   </li> -->
 </ul>
 
 
 
 <!-- <nav class="navigation">
    
   
   <ul class="nav menu">
       <li id="flight-menu" class="{{fCheck==true?'active':''}}" ng-class="{'active': tabmenuactive === 1}">
       <a href="#!flight" ng-click="activateTabMenu('1')"><i class="las la-plane ni"></i>Flight</a>
         </li>
         <li id="hotel-menu" class="{{hCheck==true?'active':''}}" ng-class="{'active': tabmenuactive === 2}">
       <a href="#!hotel" ng-click="activateTabMenu('2')">Hotel</a>
         </li>
         <li id="holiday-menu" class="{{fhCheck==true?'active':''}}" ng-class="{'active': tabmenuactive === 3}">
       <a href="#!holiday" ng-click="activateTabMenu('3')">Flight + Hotel</a>
         </li>
         <li id="insurance-menu" class="{{insCheck==true?'active':''}}" ng-class="{'active': tabmenuactive === 4}">
       <a href="#!insurance" ng-click="activateTabMenu('4')">Travel Insurance</a>
         </li>
     <li>
       <a href="#">Support Centre</a>
     </li>
     </ul>
   
 </nav> -->
 
 <script>
  
 function activeMenuReload(menuItem){
   console.log(menuItem);
 }
//   $(document).ready(function () {
//    //  $('.daterangepicker').hide();
//      $('.dropdown-toggle').mouseover(function() {
//          $('#ourserviceDropdown').show();
//          $('.mmainitems').hide();
         
//      })
//      $('#ourserviceDropdown').click(function() {
//          $('#ourserviceDropdown').hide();        
//      })
   
//      $('#moretrvldropdown').click(function() {
//          $('#moretrvldropdown').hide();        
//      })
 
//      $('.moreTravelservice').mouseover(function() {
//          $('#ourserviceDropdown').hide();
//          $('.mmainitems').show();
//          $('.retriveitems').hide();
//      })

//      $('.retriveBookings').mouseover(function() {
//          $('#ourserviceDropdown').hide();
//          $('#mmainitems').hide();
         
//          $('.retriveitems').show();
         
//      })
     
 
//      $('.dropdown-toggle').mouseout(function() {
   
//              $('#ourserviceDropdown').hide();
//              $('.mmainitems').hide();
          
 
//           $('#ourserviceDropdown').on('mouseenter', function() {
//               $('#ourserviceDropdown').show();
//               $('.mmainitems').hide();
         
//           }).on('mouseleave', function() {
//               $('#ourserviceDropdown').hide();
//               $('.mmainitems').hide();
//           })
//      })
 
//      $('.moreTravelservice').mouseout(function() {
   
//    $('#ourserviceDropdown').hide();
//    $('.mmainitems').hide();
 
//  $('.mmainitems').on('mouseenter', function() {
//     $('#ourserviceDropdown').hide();
//     $('.mmainitems').show();
  
//  }).on('mouseleave', function() {
//     $('#ourserviceDropdown').hide();
//     $('.mmainitems').hide();
 
    
//  })
//  })
 
 
 

     
//  })
 
 
   // $(document).ready(function(){
     
   //     $(".dropdown").mouseover(function(){
   //         $(this).find(".mmainitems").show();
   //     });
      
   // });
   // $(document).on("click", function(event){
   //     var $trigger = $(".dropdown");
   //     if($trigger !== event.target && !$trigger.has(event.target).length){
   //         $(".mmainitems").slideUp("fast");
           
   //     }            
   // });
 </script>